[Python-checkins] python/dist/src/Mac/OSX/Dist build,1.13,1.13.4.1

jackjansen at users.sourceforge.net jackjansen at users.sourceforge.net
Fri Jan 7 16:41:17 CET 2005


Update of /cvsroot/python/python/dist/src/Mac/OSX/Dist
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv32466

Modified Files:
      Tag: release24-maint
	build 
Log Message:
Starting on the 2.4 MacPython installer.


Index: build
===================================================================
RCS file: /cvsroot/python/python/dist/src/Mac/OSX/Dist/build,v
retrieving revision 1.13
retrieving revision 1.13.4.1
diff -u -d -r1.13 -r1.13.4.1
--- build	19 Nov 2003 13:53:55 -0000	1.13
+++ build	7 Jan 2005 15:41:14 -0000	1.13.4.1
@@ -1,11 +1,11 @@
 #!/bin/sh -e
 #----------------------------------------------------------------------
-# Build MacPython 2.3 and make an Installer package of it
+# Build MacPython 2.4 and make an Installer package of it
 
 # TODO:  Parameterize the versions, builddirs, etc...
 
 # Script configs
-PYVERSION=2.4a0
+PYVERSION=2.4.1
 PYVER=2.4
 BUILDNUM=1
 DOCLEANUP=no
@@ -19,6 +19,16 @@
    ;;
 esac
 
+if [ ! -e /usr/bin/python ]; then
+	echo "No /usr/bin/python; this script expects to be run on 10.3 only"
+	exit 1
+fi
+vers=`/usr/bin/python -V 2>&1`
+if [ "$vers" != "Python 2.3" ]; then
+    echo "/usr/bin/python is not version 2.3; this script expects to be run on 10.3 only"
+    exit 1
+fi
+
 TMPDIR=/tmp/_py
 #TMPDIR=/projects/_py
 
@@ -29,6 +39,20 @@
 PYTHONSRC=$PROGDIR/../../..
 WASTEDIR=$PYTHONSRC/../waste
 
+# Check that the Apple Python 2.3 Makefile fixes have been applied on this
+# machine
+if python $PYTHONSRCDIR/Mac/OSX/fixapplepython23.py -n; then
+    :
+else
+    echo
+    echo This installer will also install a fix to Apple-installed 2.3
+    echo to make building extensions work in the face of other Pythons.
+    echo But this system needs to have that fix to be able to put it in the installer.
+    echo
+    echo Please run $PYTHONSRCDIR/Mac/OSX/fixapplepython23.py to install the fix.
+    exit
+fi
+
 case x$1 in
 x)
 	BUILDROOT=$TMPDIR/build
@@ -66,12 +90,6 @@
 	exit
 fi
 
-# Check if we should build and install the docs, but only if it
-# doesn't appear to be done already.  TODO: fix this path to be version independent
-if [ ! -e "build/temp.darwin-6.3-Power Macintosh-2.3/build-html/build-html idx" ]; then
-    read -p "Build the Python docs? (y/N)? " builddocs
-fi
-
 # If the filesystem is case-sensitive then "python" will be built, but
 # some parts of the install expect "python.exe which is what is built
 # on a case-insensitive filesystem.  Make a link just in case it is
@@ -91,6 +109,10 @@
 make DIRMODE=775 EXEMODE=775 FILEMODE=664 DESTDIR=$INSTALLROOT frameworkinstall
 make DIRMODE=775 EXEMODE=775 FILEMODE=664 DESTDIR=$INSTALLROOT frameworkinstallextras
 
+# Install the Makefile fixes
+config=System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/config
+(cd / ; tar cf - $config/Makefile $config/PantherPythonFix) | (cd $INSTALLROOT; tar xf -)
+
 # Unfortunately all the ...MODE arguments above still don't do the trick.
 # Cop out, and recursively set everything group-writeable.
 chmod -R ug+w $INSTALLROOT
@@ -121,7 +143,7 @@
 python $PYTHONSRC/Mac/scripts/buildpkg.py \
     --Title=MacPython-OSX \
     --Version=$PYVERSION-$BUILDNUM \
-    --Description="Python $PYVERSION for Mac OS X, framework based" \
+    --Description="Python $PYVERSION for Mac OS X 10.3, framework based" \
     --NeedsAuthorization="YES" \
     --Relocatable="NO" \
     --InstallOnly="YES" \



More information about the Python-checkins mailing list